#INCLUDE "rwmake.ch"
#include 'Topconn.ch'

/*


ͻ
Programa  M410LIOK  Autor  Luiz Alberto         Data   12/12/11   
͹
Desc.      Ponto de entrada para validar as linhas do pedido de venda 
           														      
͹
Uso        AP7                                                        
ͼ


*/

User Function M410LIOK()    
Local aAreaSC5 := SC5->(GetArea())
Local aAreaSC6 := SC6->(GetArea())
Local aAreaSB1 := SB1->(GetArea())
Local aAreaSA1 := SA1->(GetArea())
Local aArea := GetArea()
Local lRet := .T.
Local nPosCod := ascan(aHeader,{|x| Upper(alltrim(x[2])) == "C6_PRODUTO"})

cCod := aCols[n,nPosCod]

For nI := 1 To Len(aCols)
  // Verifica se esta deletado
  IF !acols[nI][len(aCols[n])]
	If !Empty(cCod)
		If cCod == aCols[nI,nPosCod] .And. nI <> n
			Alert('Ateno, Cdigo de Produto J Lanado na Linha ' + Str(nI,3) + ' !')       
	
		        lRet := .F.                    
		 EndIF  
	Endif
  Endif
Next nI

RestArea(aAreaSC5)
RestArea(aAreaSC6)
RestArea(aAreaSB1)
RestArea(aAreaSA1)
RestArea(aArea)

Return lRet